Analog Instrument

Symbol:

Description:

This function block displays a numerical value of the standard data types in an indicator instrument.

Parameter:

The parameter dialog can be used to change several preferences.

The data type and the size of the function block can be defined. The color of the different components (indicator, value, scale, background, and frame) can be selected. It can be determined whether or not to display the current value and which angle the indicator should cover. The division of the scale in minor and major tics, the minimum and the maximum can be given. Finally the font size for the labels and the general display mode can be selected.

Signals:

Name

I/O

Type(s)

Function

In

I

Any*

Display value

*This function block uses normally only numerical standard data types, but other signals can be connected to the input. If no numeric signals are used, the data type will be converted. In this case the user is asked to specify a numeric data type (for interpretation and display of the value) and the offset in byte (to identify the starting point).

Comment:

By attaching a signal to the input, the function block will adapt itself by changing the data type and selecting typical preferences.

This function block has no corresponding target code. During online observation the values are read and represented cyclically.


Bargraph

Symbol:

Description:

This function block realizes a horizontal or vertical display of a bargraph for numeric standard data types.

The end position of the depicted bar represents the input value In in relation to the given minimum and maximum.

Parameter:

The parameter dialog can be used to change several preferences.

The data type and the size of the function block can be defined. The colors of the bargraph (bar, overflow, background, frame, and scale) can be selected. The direction of the bar can be selected. The user can decide if the actual value and the scale will be displayed or not. If the scale will be displayed, the number of major (with label) and minor tics can be defined. The minimum and maximum value can be given. Finally the font size and the general display mode can be determined.

Signals:

Name

I/O

Type(s)

Function

In

I

Any*

Display value

*This function block normally uses only numerical standard data types, but other signals can be connected to the input. If no numeric signals are used, the data type will be converted. In this case the user is asked to specify a numeric data type (for interpretation and display of the value) and the offset in byte (to identify the starting point).

Comment:

By attaching a signal to the input, the function block will adapt itself by changing the data type and selecting typical preferences.

This function block has no corresponding target code. During online observation the values are read and represented cyclically.


Display 7 Segment

Symbol:

Description:

This function block shows numeric values of the standard data types as a 7 segment display.

The display of the numeric values is carried out as precise as possible. If the given digit number doesn't suffice for the indication of an integer value, the higher-order digits are cut off. The digits are also cut off at floating point values. An exponential representation isn't available for the 7 segment displays.

Parameter:

The parameter dialog can be used to change several preferences.

The data type and the size of the function block can be defined. The colors of the segment display (segment parts on and off, background, and frame) can be selected. The accuracy of the display can be defined by setting the number of digits. Finally the general display mode can be determined.

Signals:

Name

I/O

Type(s)

Function

In

I

Any*

Display value

*This function block normally uses only numerical standard data types, but other signals can be connected to the input. If no numeric signals are used, the data type will be converted. In this case the user is asked to specify a numeric data type (for interpretation and display of the value) and the offset in byte (to identify the starting point).

Comment:

By attaching a signal to the input, the function block will adapt itself by changing the data type and selecting typical preferences.

This function block has no corresponding target code. During online observation the values are read and represented cyclically.


Display Numeric

Symbol:

Description:

This function block is used to visualize numeric values of standard data types.

The display of the numeric values is carried out as precise as possible. If the given digit number doesn't suffice for the indication of an integer value, the higher-order digits are cut off. For floating point values an exponential representation is used in this case.

Parameter:

The parameter dialog can be used to change several preferences.

The data type and the size of the function block can be defined. The font and the colors for the display (digits, background, and frame) can be selected. The accuracy of the display can be defined by setting the number of digits. Finally the general display mode can be determined.

Signals:

Name

I/O

Type(s)

Function

In

I

Any*

Display value

*This function block uses normally only numerical standard data types, but other signals can be connected to the input. If no numeric signals are used, the data type will be converted. In this case the user is asked to specify a numeric data type (for interpretation and display of the value) and the offset in byte (to identify the starting point).

Comment:

By attaching a signal to the input, the function block will adapt itself by changing the data type and selecting typical preferences.

This function block has no corresponding target code. During online observation the values are read and represented cyclically.


Display Text

Symbol: |
Description: | This function block is used for the visualization of text values.
Parameter: | The parameter dialog can be used to change several preferences. The size of the function block and the offset (if needed) can be defined. The font and the colors for the display (text, background, and frame) can be selected. The number of digits and the general display mode can be determined.
Signals: | Name | I/O | Type(s) | Function
 | In | I | Any* | Display
 | *This function block uses normally only the TEXT data type, but other signals can be connected to the input. If no TEXT signals are used, the data type will be converted. In this case the user is asked to specify the offset and the number of digits for the length of the text (without terminating 0).
Comment: | This function block has no corresponding target code. During online observation the values are read and represented cyclically.


Display Time

Symbol:

Description:

This function block is used to visualize time values.

It supports the standard time data types DT (date and time), DATE (date), TOD (time of day), TIME (duration) and OLEDATETIME (64 Bit time).

Parameter:

The parameter dialog can be used to change several preferences.

The data type, the size of the function block, and the offset (if needed) can be defined. The font and the colors for the display (text, background, and frame) can be selected. The display format of the time and date values can be chosen. Finally the general display mode can be determined.

Signals:

Name

I/O

Type(s)

Function

In

I

Any*

Display value

*This function block uses normally only standard time data types, but other signals can be connected to the input. If no time signals are used, the data type will be converted. In this case the user is asked to specify a time data type (for interpretation and display of the value) and the offset in byte (to identify the starting point).

Comment:

By attaching a signal to the input, the function block will adapt itself by changing the data type and selecting typical preferences.

This function block has no corresponding target code. During online observation the values are read and represented cyclically.


LED

Symbol: |
Description: | This function block is used for the visualization by BIT values. The color change indicates if the input In is HIGH or LOW.
Parameter: | The parameter dialog can be used to define the size of the function block, the colors for the two states and the frame, the form of the LED and the general display mode.
Signals: | Name | I/O | Type(s) | Function
 | In | I | Any* | Display
 | *This function block uses normally only the BIT data type, but other signals can be connected to the input. If no BIT signals are used, the data type will be converted. In this case the user is asked to specify the offset to identify the relevant byte. The function block will interpret this byte in the way that a value not equal 0 is used as "on" and a value equal 0 is used as "off".
Comment: | This function block has no corresponding target code. During online observation the values are read and represented cyclically.


Trend-Writer

Symbol:

Description:

The trend writer displays the graph of the connected numeric signals over a period of time.

It is possible to connect up to four signals, which creates four different chart lines. The horizontal scale always represents the time progression of the system (measured in seconds).

The sampling rate of the input signals is determined by the relation of the buffer size and resolution (see parameter dialog). The resolution depends on the width of the display field and the range of the time scale.

The cyclical read rate is selected by the function block in such a way that during the period of time defined by the time scale the whole ring buffer is filled with values. Therefore the values are read more frequently at bigger ring buffers and the representation is more detailed. However, the sampling rate is limited by the refresh rate adjusted in iCon-L. The cycle time can't go below the minimum of 50ms even with large ring buffers.

To avoid permanent moving and get a better representation, especially by higher sampling rates, the number of wait cycles can be increased. This influences the number of values to be written into the ring buffer until the next update of the display.

Parameter:

The parameter dialog can be used to change several preferences.

The size of the function block can be defined. The data type and the display color of the four different input signals can be selected and a name can be given. The colors of the function block components (drawing area, background, and frame) and the gridlines can be selected. The buffer size defines the number of elements internally hold. A number of wait cycles can be entered to ease the behavior by higher sample rates. The properties of the time- and the Y-scale can be given. For the former the time resolution and for the latter the minimum and maximum can be defined. Finally the general display mode and the font size for the labels can be selected.

Signals:

Name

I/O

Type(s)

Function

Y1 .. Y4

I

Any*

Signal inputs

*This function block uses normally only numerical standard data types, but other signals can be connected to the input. If no numeric signals are used, the data type will be converted. In this case the user is asked to specify a numeric data type (for interpretation and display of the value) and the offset in byte (to identify the starting point).

Comment:

This function block has no corresponding target code. During online observation the values are read and represented cyclically.

Like already mentioned, the sample rate is limited by the refresh rate. This value can fluctuate depending on the performance and the work load of the PC. Therefore fast changing signals can only be covered inadequately with the visualization blocks. The archive function block (see archive library) should be used for the real time recording of signals.


XY-Writer

Symbol:

Description:

The XY-writer can be used to display any kind of graph of the connected numeric signals.

It is possible to connect up to four signals, which creates four different chart lines. The value curves represent the relations of the pairs from the input X and one of the Y inputs.

The buffer size has an essential influence on the indication of the signal courses. Like the other parameters it can be adjusted in the parameter dialog. During the online observation the function block reads the signal values cyclically with the refresh rate configured in iCon-L and stores changed values in a temporary ring buffer. The current content of this ring buffer is represented in the display field of the block. Old values vanish after a particular time. They have been replaced by newer ones. With large ring buffers one can look back further to the past. On the other hand the display field is limited and the signal course can be recognized considerably better when old values are deleted cyclically. When leaving the online observation the ring buffer is deleted. When the online observation is started again the old data are not available anymore.

Parameter:

The parameter dialog can be used to change several preferences.

The size of the function block can be defined. The data type of all input signals and the display color of the four different Y values can be selected and a name can be given. The colors of the function block components (drawing area, background, and frame) and the gridlines can be selected. The buffer size defines the number of elements internally hold.

The properties of the X- and the Y-scale can be given (name, color, major and minor tics, minimum, maximum, and position). Finally the general display mode and the font size for the labels can be selected.

Signals:

Name

I/O

Type(s)

Function

X

I

Any*

X-value

Y1 .. Y4

I

Any*

Y-values

*This function block uses normally only numerical standard data types, but other signals can be connected to the input. If no numeric signals are used, the data type will be converted. In this case the user is asked to specify a numeric data type (for interpretation and display of the value) and the offset in byte (to identify the starting point).

Comment:

This function block has no corresponding target code. During online observation the values are read and represented cyclically.

Like already mentioned, the sample rate is limited by the refresh rate. This value can fluctuate depending on the performance and the work load of the PC. Therefore fast changing signals can only be covered inadequately with the visualization blocks. The archive function block (see archive library) should be used for the real time recording of signals.